众扬汇 AI 开放平台 API 文档

悦动人像 EMO

做什么:基于人物肖像图片与人声音频,生成人物肖像的动态视频。相比「灵动人像 LivePortrait」,本模型效果更好、单价更高。

一、提交任务

curl
curl --location 'https://api.allyang.cn/qwen/api/v1/services/aigc/image2video/video-synthesis' \
--header 'X-DashScope-Async: enable' \
--header "Authorization: Bearer <API-Key>" \
--header 'Content-Type: application/json' \
--data '{
    "model": "emo-v1",
    "input": {
        "image_url": "<人物肖像图片地址>",
        "audio_url": "<人声音频地址>",
        "face_bbox": [302, 286, 610, 593],
        "ext_bbox": [71, 9, 840, 778]
    },
    "parameters": {
        "style_level": "normal"
    }
}'

face_bbox(人脸区域)与 ext_bbox(动态区域)可由下方的检测接口取得。

json
{
    "output": {
        "task_id": "a8532587-fa8c-4ef8-82be-xxxxxx",
        "task_status": "PENDING"
    },
    "request_id": "7574ee8f-38a3-4b1e-9280-11c33ab46e51"
}

二、轮询任务

curl
curl -X GET \
--header "Authorization: Bearer <API-Key>" \
https://api.allyang.cn/qwen/api/v1/tasks/<task_id>
json
{
    "request_id": "8190395f-ca1b-4703-9656-xxxxxx",
    "output": {
        "task_id": "a8532587-fa8c-4ef8-82be-xxxxxx",
        "task_status": "SUCCEEDED",
        "submit_time": "2025-09-11 14:33:38.716",
        "scheduled_time": "2025-09-11 14:33:53.089",
        "end_time": "2025-09-11 14:35:51.541",
        "results": {
            "video_url": "<生成视频地址>"
        }
    },
    "usage": {
        "video_duration": 13.93,
        "video_ratio": "1:1"
    }
}

三、肖像图片检测(前置步骤)

先检测图片是否符合要求,并从返回中取 bbox:

curl
curl --location 'https://api.allyang.cn/qwen/api/v1/services/aigc/image2video/face-detect' \
--header "Authorization: Bearer <API-Key>" \
--header 'Content-Type: application/json' \
--data-raw '{
  "model": "emo-detect-v1",
  "input": {
      "image_url": "<人物肖像图片地址>"
  },
  "parameters": {
      "ratio": "1:1"
  }
}'
json
{
    "output": {
        "check_pass": true,
        "face_bbox": [302, 286, 610, 593],
        "ext_bbox": [71, 9, 840, 778]
    },
    "usage": {
        "image_count": 1
    },
    "request_id": "c56f62df-724e-9c19-96bd-308627cf5262"
}

可用模型

模型名称 说明 单价
emo-detect-v1 检测输入图片是否符合要求 0.004 元/张
emo-v1 生成人物肖像动态视频 1:1 画幅:0.08 元/秒
3:4 画幅:0.16 元/秒

单价口径:数值来自源文档,未核价,正式以「模型广场」为准。